@import "libs/shared/assets/src/global-style/variable";


.search-bar {
  .search-btn {
    background-color: $bg-gray-opacity;
    font-weight: 600;
    min-height: 40px;
    border: none;
  }

  .block-action-search {
    justify-content: center;
    display: flex;
    margin-top: 20px;
  }

  .rangeDateTitle {
    color: $bg-gray-label;
    font-size: 14px;
    font-weight: 600;
    font-family: 'avertaB', sans-serif;
  }
  .rangeDate {
    width: 100%;
    margin-top: 4px;
    height: 42px;
    border-radius: 8px;
  }

  .expand-btn {
    height: 38px;
    border-radius: 8px;
  }
}

.data-table {
  margin-top: 1%;
  &__action {
    width: 100px;
  }

  .stt {
    text-align: center;
  }

  em {
    margin-left: 5%;
    font-size: 20px;
  }

  .parentCol {
    width: 700px;
  }

  &__subCol1 {
    width: 200px;
  }

  .issueLevel {
    width: 130px;
  }

  .subCol2 {
    width: 120px;
  }

  .action {
    width: 135px;
  }
}

.ant-page-header{
  padding: 6px 0px;
}

.promulgate-table-action {
  position: absolute;
  top: 10%;
  left: 10%;
  transform: translate(-10%, -10%);
  background: $bg-primary-default;
  border-radius: 8px;
  color: $white-color;
  cursor: pointer;
}
.ant-table-cell {
  padding: 4px 8px;
}

.text-ellipsis {
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
}

.ant-table-row {
  &:hover{
    cursor: pointer;
  }
}

nz-tag {
  width: 100%;
  height: 25px;
  padding: 3px;
  border-radius: 8px;
  text-align: center;
}

.action-breadcrumb-float-right{
  display: flex;
  position: fixed;
  right: 25px;
  top: 130px;
}

::ng-deep .excelIcon {
  height: 12px;
}

.calendar {
  font-size: 15px;
  margin-left: 0;
}

.effectiveDate {
  margin-left: 10px;
}